Subject: Re: iptables breakage WAS(Re: dummy as IMQ replacement

From: Patrick McHardy <[email-masked]>
Date: Wed, 23 Mar 2005 02:31:58 +0100

jamal wrote:
> As i was suspecting this is related to iptables breaking backwards
> compatibility. Starting with 1.3.0 the target structure changed ;->
> (right at the top is a new field called version)
> I suspect the iptables folks maybe unaware that there are other users of
> iptables and assume that anyone needing to use new iptables will
> recompile everything from scratch. BAD! BAD!
> I am ccing the necessary evil doers (Harald and Patrick - at least they
> would know who the real evildoer is). 

We'll try to keep this in mind in the future. We could move
the version field to the end, but I guess its already too
late. What do you think?

Regards
Patrick